Bug 1205904 - Review Request: gap-pkg-polycyclic - Algorithms on polycylic groups for GAP
Summary: Review Request: gap-pkg-polycyclic - Algorithms on polycylic groups for GAP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1205777
Blocks: 1205905
TreeView+ depends on / blocked
 
Reported: 2015-03-25 22:13 UTC by Jerry James
Modified: 2015-06-14 17:25 UTC (History)
2 users (show)

Fixed In Version: gap-pkg-polycyclic-2.11-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-14 17:25:13 UTC
Type: ---
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jerry James 2015-03-25 22:13:32 UTC
Spec URL: https://jjames.fedorapeople.org/gap-pkg-polycyclic/gap-pkg-polycyclic.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-polycyclic/gap-pkg-polycyclic-2.11-1.fc23.src.rpm
Fedora Account System Username: jjames
Description: This package provides algorithms for working with polycyclic groups.  The features of this package include:
- creating a polycyclic group from a polycyclic presentation
- arithmetic in a polycyclic group
- computation with subgroups and factor groups of a polycyclic group
- computation of standard subgroup series such as the derived series, the lower central series
- computation of the first and second cohomology
- computation of group extensions
- computation of normalizers and centralizers
- solutions to the conjugacy problems for elements and subgroups
- computation of Torsion and various finite subgroups
- computation of various subgroups of finite index
- computation of the Schur multiplicator, the non-abelian exterior square and the non-abelian tensor square

Note that there is a circular dependency between this package and gap-pkg-alnuth.  I am choosing to break the cycle by initially building this package without the other.  That means that the %check script cannot be run on the initial build.  Once gap-pkg-alnuth has been built, I will rebuild this package with the %bcond_without at the top flipped to %bcond_with, and the %check script will start being used at that point.

Comment 1 gil cattaneo 2015-05-29 23:17:51 UTC
can you take this https://bugzilla.redhat.com/show_bug.cgi?id=1178149 ?

Comment 2 gil cattaneo 2015-05-29 23:37:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
 NOTE: manual review

===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 4 files have unknown license. Detailed
     output of licensecheck in /home/gil/1205904-gap-pkg-polycyclic/srpm
     /review-gap-pkg-polycyclic/licensecheck.txt
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.9 starting (python version = 2.7.5)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.9
INFO: Mock Version: 1.2.9
Finish: chroot init
INFO: installing package(s): /home/gil/1205904-gap-pkg-polycyclic/srpm/gap-pkg-polycyclic-2.11-1.fc23.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-i386/root/ --releasever 23 install /home/gil/1205904-gap-pkg-polycyclic/srpm/gap-pkg-polycyclic-2.11-1.fc23.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: gap-pkg-polycyclic-2.11-1.fc23.noarch.rpm
          gap-pkg-polycyclic-2.11-1.fc23.src.rpm
gap-pkg-polycyclic.noarch: W: spelling-error Summary(en_US) polycylic -> polyclinic, policy
gap-pkg-polycyclic.noarch: W: spelling-error %description -l en_US cohomology -> cosmology, mycology
gap-pkg-polycyclic.noarch: W: spelling-error %description -l en_US normalizers -> normalizes, normalize rs, normalize-rs
gap-pkg-polycyclic.noarch: W: spelling-error %description -l en_US conjugacy -> conjugation, conjugal
gap-pkg-polycyclic.noarch: W: spelling-error %description -l en_US multiplicator -> multiplication, multiplicative, multiplicand
gap-pkg-polycyclic.noarch: W: spelling-error %description -l en_US abelian -> Belgian, Annabel, Anabel
gap-pkg-polycyclic.noarch: W: only-non-binary-in-usr-lib
gap-pkg-polycyclic.noarch: W: file-not-utf8 /usr/share/doc/gap-pkg-polycyclic/style.css
gap-pkg-polycyclic.noarch: E: version-control-internal-file /usr/lib/gap/pkg/polycyclic-2.11/doc/.cvsignore
gap-pkg-polycyclic.src: W: spelling-error Summary(en_US) polycylic -> polyclinic, policy
gap-pkg-polycyclic.src: W: spelling-error %description -l en_US cohomology -> cosmology, mycology
gap-pkg-polycyclic.src: W: spelling-error %description -l en_US normalizers -> normalizes, normalize rs, normalize-rs
gap-pkg-polycyclic.src: W: spelling-error %description -l en_US conjugacy -> conjugation, conjugal
gap-pkg-polycyclic.src: W: spelling-error %description -l en_US multiplicator -> multiplication, multiplicative, multiplicand
gap-pkg-polycyclic.src: W: spelling-error %description -l en_US abelian -> Belgian, Annabel, Anabel
2 packages and 0 specfiles checked; 1 errors, 14 warnings.




Requires
--------
gap-pkg-polycyclic (rpmlib, GLIBC filtered):
    /usr/bin/update-gap-workspace
    gap-core
    gap-pkg-autpgrp



Provides
--------
gap-pkg-polycyclic:
    gap-pkg-polycyclic



Source checksums
----------------
http://www.icm.tu-bs.de/ag_algebra/software/polycyclic/polycyclic-2.11.tar.bz2 :
  CHECKSUM(SHA256) this package     : f8943ff5143783d3ceb89be9e22cb02bac0afc772db714970c257e59a76bf4f0
  CHECKSUM(SHA256) upstream package : f8943ff5143783d3ceb89be9e22cb02bac0afc772db714970c257e59a76bf4f0


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -vpn gap-pkg-polycyclic -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 gil cattaneo 2015-05-29 23:39:48 UTC
NON blocking issues:

gap-pkg-polycyclic.noarch: W: file-not-utf8 /usr/share/doc/gap-pkg-polycyclic/style.css
Please fix it

gap-pkg-polycyclic.noarch: E: version-control-internal-file /usr/lib/gap/pkg/polycyclic-2.11/doc/.cvsignore
Please remove

Approved

Comment 4 Jerry James 2015-05-30 17:24:26 UTC
(In reply to gil cattaneo from comment #1)
> can you take this https://bugzilla.redhat.com/show_bug.cgi?id=1178149 ?

Absolutely, and thanks again for swapping with me.
(In reply to gil cattaneo from comment #3)
> NON blocking issues:
> 
> gap-pkg-polycyclic.noarch: W: file-not-utf8
> /usr/share/doc/gap-pkg-polycyclic/style.css
> Please fix it
> 
> gap-pkg-polycyclic.noarch: E: version-control-internal-file
> /usr/lib/gap/pkg/polycyclic-2.11/doc/.cvsignore
> Please remove

Okay, I will fix those two issues.

Comment 5 Jerry James 2015-05-30 17:28:49 UTC
New Package SCM Request
=======================
Package Name: gap-pkg-polycyclic
Short Description: Algorithms on polycylic groups for GAP
Upstream URL: http://www.icm.tu-bs.de/ag_algebra/software/polycyclic/
Owners: jjames
Branches: f22
InitialCC:

Comment 6 Gwyn Ciesla 2015-05-31 16:28:33 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-05-31 22:47:33 UTC
gap-pkg-polycyclic-2.11-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gap-pkg-polycyclic-2.11-1.fc22

Comment 8 Fedora Update System 2015-06-02 15:13:19 UTC
gap-pkg-polycyclic-2.11-1.fc22 has been pushed to the Fedora 22 testing repository.

Comment 9 Fedora Update System 2015-06-05 23:39:11 UTC
gap-pkg-polycyclic-2.11-2.fc22 has been pushed to the Fedora 22 testing repository.

Comment 10 Fedora Update System 2015-06-14 17:25:13 UTC
gap-pkg-polycyclic-2.11-2.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.